Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Interface RemoteCommitListener

All Superinterfaces:
  com.solarmetric.util.Closeable

All Known Implementing Classes:
  DataCacheImpl, QueryCacheImpl

public interface RemoteCommitListener
extends com.solarmetric.util.Closeable

An entity that wishes to be notified when PersistenceManagers associated with remote PersistenceManagerFactories commit.

A RemoteCommitListener is not notified of commits that originated with a PersistenceManager created from the PersistenceManagerFactory that it is registered with. (Of course, if a listener is registered with multiple factories, this situation might be complicated a bit.)

Usage: ``

    	import kodo.event.*;
    	import kodo.conf.*;

    	JDOConfiguration conf =
    		((KodoPersistenceManagerFactory) pmf).getConfiguraiton ();

    	RemoteCommitListener l = new RemoteCommitListener () {
    		public void afterCommit (RemoteCommitEvent e) {
    			// update a Swing widget when remote PMs make
    			// changes to reference data
    		}

    		public void close () { }
    	};

    	conf.getRemoteCommitEventManager ().registerListener (l);

Since:
  2.5.0

Method Summary
`void` | `afterCommit(RemoteCommitEvent event)` Notification that a transaction associated with a different PersistenceManagerFactory has successfully committed.
`void` | `close()` Close any resources used by this listener.

Method Detail

### afterCommit

    public void afterCommit(RemoteCommitEvent event)

  Notification that a transaction associated with a different PersistenceManagerFactory has successfully committed.

### close

    public void close()

  Close any resources used by this listener.
  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.